
%global meadversion 1.2.15
%global namedversion 1.2.15.b01-SP2-redhat-2
%global meadalpha .b01_SP2_redhat_2
%global meadrel .1
%global serial 11
%global namedversionrel redhat-2

%bcond_without mead

%define maven_version 1.2.15.b01-SP2-redhat-2

Name:           glassfish-jsf12-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JSF 1.2 Specification
License:        CDDL-1.0
Group:          Development/Java

%if %with mead
Source100: jsf-project-1.2.15.b01-SP2-redhat-2-scm-sources.zip
Source102: jsf-impl-1.2.15.b01-SP2-redhat-2-sources.jar
Source103: jsf-impl-1.2.15.b01-SP2-redhat-2.jar
Source104: jsf-impl-1.2.15.b01-SP2-redhat-2-javadoc.jar
Source105: jsf-impl-1.2.15.b01-SP2-redhat-2.pom
Source106: jsf-project-1.2.15.b01-SP2-redhat-2.pom
Source107: jsf-project-1.2.15.b01-SP2-redhat-2-project-sources.tar.gz
Source108: jsf-api-1.2.15.b01-SP2-redhat-2-sources.jar
Source109: jsf-api-1.2.15.b01-SP2-redhat-2-javadoc.jar
Source110: jsf-api-1.2.15.b01-SP2-redhat-2.jar
Source111: jsf-api-1.2.15.b01-SP2-redhat-2.pom
%endif

URL:            http://jsf.java.net/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/glassfish-jsf12-eap6-%{namedversion}-%{release}-root

%description
JSF 1.2 Specification.

%if 0
%setup -q -n mojarra -T -b 100
%endif

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/jsf-api-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jsf-api-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jsf-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jsf-api-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jsf-impl-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jsf-impl-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jsf-impl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jsf-impl-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jsf-api-%{namedversion}.jar
%{_javadir}/%{name}/jsf-api.jar
%{_javadir}/%{name}/jsf-api-%{namedversion}-sources.jar
%{_javadir}/%{name}/jsf-api-sources.jar
%{_javadir}/%{name}/jsf-impl-%{namedversion}.jar
%{_javadir}/%{name}/jsf-impl.jar
%{_javadir}/%{name}/jsf-impl-%{namedversion}-sources.jar
%{_javadir}/%{name}/jsf-impl-sources.jar

%changelog
* Tue Jun 02 2020 Permaine Cheung <pcheung@redhat.com> - 1.2.15-11.b01_SP2_redhat_2.1
- Fix License

* Wed May 06 2020 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.2.15-10.b01_SP2_redhat_2.1
- Upgrade to 1.2.15.b01-SP2-redhat-2

* Wed Jul 27 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.2.15-9.b01_SP2_redhat_1.1
- Upgrade to 1.2.15.b01.SP2

* Mon Feb 09 2015 David Walluck <dwalluck@redhat.com> - 1.2.15-8.b01_redhat_12.1
- fix Release

* Thu Jan 15 2015 Lin Gao <lgao@redhat.com> - 1.2.15-1.b01_redhat_12.1
- Rebuild to fix invalid osgi version

* Tue May 06 2014 David Walluck <dwalluck@redhat.com> - 1.2_15-7.b01_redhat_11.1
- 1.2_15-b01-redhat-11

* Thu Apr 24 2014 David Walluck <dwalluck@redhat.com> - 1.2_15-6.b01_redhat_10.1
- build wrapper for version fix

* Mon Nov 11 2013 David Walluck <dwalluck@redhat.com> 0:1.2_15-5.b01_redhat_8.1
- rebuild to fix changelog

* Fri Nov 08 2013 David Walluck <dwalluck@redhat.com> 0:1.2_15-4.b01_redhat_8.1
- fix classloader issue

* Fri Oct 25 2013 David Walluck <dwalluck@redhat.com> 0:1.2_15-3.b01_redhat_6.1
- fix dir ownership

* Wed Oct 23 2013 David Walluck <dwalluck@redhat.com> 0:1.2_15-2.b01_redhat_6.1
- release
